[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[SECURITY] Fedora 7 Update: ruby-1.8.6.110-1.fc7



--------------------------------------------------------------------------------
Fedora Update Notification
FEDORA-2007-2406
2007-10-08 14:56:44.384885
--------------------------------------------------------------------------------

Name        : ruby
Product     : Fedora 7
Version     : 1.8.6.110
Release     : 1.fc7
URL         : http://www.ruby-lang.org/
Summary     : An interpreter of object-oriented scripting language
Description :
Ruby is the interpreted scripting language for quick and easy
object-oriented programming.  It has many features to process text
files and to do system management tasks (as in Perl).  It is simple,
straight-forward, and extensible.

--------------------------------------------------------------------------------
ChangeLog:

* Thu Oct  4 2007 Akira TAGOH <tagoh redhat com> - 1.8.6.110-1
- New upstream release.
  - ruby-r12567.patch: removed.
- ruby-1.8.6-CVE-2007-5162.patch: security fix for Net::HTTP that is
  insufficient verification of SSL certificate. (#313791)
* Wed Jul 25 2007 Akira TAGOH <tagoh redhat com> - 1.8.6.36-3
- ruby-r12567.patch: backport patch from upstream svn to get rid of
  the unnecessary declarations. (#245446)
* Fri Jul 20 2007 Akira TAGOH <tagoh redhat com> - 1.8.6.36-2
- New upstream release.
  - Fix Etc::getgrgid to get the correct gid as requested. (#236647)
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #313791 - CVE-2007-5162 ruby Net:HTTP insufficient verification of SSL certificate [F7]
        https://bugzilla.redhat.com/show_bug.cgi?id=313791
  [ 2 ] CVE-2007-5162
        http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-5162
--------------------------------------------------------------------------------
Updated packages:

619ddf3fd252cd2425b7e4854977afdad39bf434 ruby-ri-1.8.6.110-1.fc7.ppc64.rpm
750803ba17ce193de7bbea92ca0a81a115c2da7f ruby-docs-1.8.6.110-1.fc7.ppc64.rpm
a5653e754e013136acb53f2f262ca2ad9f418127 ruby-devel-1.8.6.110-1.fc7.ppc64.rpm
6d1442d998c4c6c1b60a339ca5a8dec8bfb43abe ruby-rdoc-1.8.6.110-1.fc7.ppc64.rpm
3423b9b0e73d8bfa3b78d99f0bf333e566e5faaa ruby-1.8.6.110-1.fc7.ppc64.rpm
7a1991f609b5b451ce189af423297f2a44339aad ruby-libs-1.8.6.110-1.fc7.ppc64.rpm
8d250dce896d0fbad019887f4760725a741bbacc ruby-debuginfo-1.8.6.110-1.fc7.ppc64.rpm
6c38a2a1b9b9ee74254690e995f7049cb5758d5d ruby-irb-1.8.6.110-1.fc7.ppc64.rpm
39437205a9ae224bda0c9ba85dbd59f5030c9156 ruby-tcltk-1.8.6.110-1.fc7.ppc64.rpm
60c424277ba0f05bb514ce85db68903001fc8585 ruby-docs-1.8.6.110-1.fc7.i386.rpm
c9ed65711b8d646a72145599d6c51eba2078e9b1 ruby-debuginfo-1.8.6.110-1.fc7.i386.rpm
2c482868310b0977dc856c6b4f7fc659bd983521 ruby-rdoc-1.8.6.110-1.fc7.i386.rpm
2bd44a20e1d895727a2a6301ac55e4945d07db89 ruby-irb-1.8.6.110-1.fc7.i386.rpm
09e9a49c9b42ace5b925c32069849d39ba6dc0bf ruby-1.8.6.110-1.fc7.i386.rpm
5311671bcb9575371d15d248ff282cd91f07eedf ruby-tcltk-1.8.6.110-1.fc7.i386.rpm
eaeedcf2dd66630bc15ab620e5aed61aecb2e46e ruby-libs-1.8.6.110-1.fc7.i386.rpm
0ceed12ee9984ba58efb576f6307554d1cc4867d ruby-mode-1.8.6.110-1.fc7.i386.rpm
e9494a1b4b8c40604435373778a65b70e4eb971d ruby-devel-1.8.6.110-1.fc7.i386.rpm
67efe4f93e4caf58ad2db75c7b7e5024b27ce0f3 ruby-ri-1.8.6.110-1.fc7.i386.rpm
3d62c7ba450c57e63a3580991f83eb89e86ae6bc ruby-ri-1.8.6.110-1.fc7.x86_64.rpm
b8534c1da4b0fbc0299128fafff9387dd541a4f6 ruby-tcltk-1.8.6.110-1.fc7.x86_64.rpm
0e295d392597260152f93f78075f88ab65198c11 ruby-debuginfo-1.8.6.110-1.fc7.x86_64.rpm
373db9e52521319b31cceccdd141222d5197e49b ruby-1.8.6.110-1.fc7.x86_64.rpm
05c589be8bcd587fe701077c6a9645454d55a685 ruby-docs-1.8.6.110-1.fc7.x86_64.rpm
e46ce91a9224ad2476457bf897e47f3476cbfd7a ruby-mode-1.8.6.110-1.fc7.x86_64.rpm
b371b4a379db6cc83a7ba9360799e9eaade36fde ruby-devel-1.8.6.110-1.fc7.x86_64.rpm
e479c8636cbc42b77fda41076b7bd4538f06338c ruby-rdoc-1.8.6.110-1.fc7.x86_64.rpm
63f09a274876b3feffe21007e2af746f7c8749bd ruby-libs-1.8.6.110-1.fc7.x86_64.rpm
968eb42facab523f8190becba4e8f5b64b4ee588 ruby-irb-1.8.6.110-1.fc7.x86_64.rpm
490d780fec89bb1ac2ccb0d4a162bdb2dc254808 ruby-debuginfo-1.8.6.110-1.fc7.ppc.rpm
d505196e009c9763a0a383ecd4743e18081df6ad ruby-irb-1.8.6.110-1.fc7.ppc.rpm
c19a0523e0c3e6c2590c1a5ea1ee73adedbce402 ruby-devel-1.8.6.110-1.fc7.ppc.rpm
914764aad2e84afae5bc3fdf41b059ad990ab1b6 ruby-mode-1.8.6.110-1.fc7.ppc.rpm
5db62845cb3b0aaf1a5a0cd8650487f79271920f ruby-rdoc-1.8.6.110-1.fc7.ppc.rpm
c5f7b9234099d251591a57ec6d1c39b2c387c5d7 ruby-docs-1.8.6.110-1.fc7.ppc.rpm
6f8e405afe7c176d42626903b8df47205397fed0 ruby-1.8.6.110-1.fc7.ppc.rpm
ac4c24f400b6b309bf9648da50b485994a926b37 ruby-tcltk-1.8.6.110-1.fc7.ppc.rpm
f29763aed0337c526b9dc4920e344cf04cbf6b39 ruby-libs-1.8.6.110-1.fc7.ppc.rpm
434a937562fecadbf655d8bb1417c5567b3a7c03 ruby-ri-1.8.6.110-1.fc7.ppc.rpm
d33c62dac0f7a68f874c6d4c20e580b0107bd44c ruby-1.8.6.110-1.fc7.src.rpm

This update can be installed with the "yum" update program.  Use 
su -c 'yum update ruby' 
at the command line.  For more information, refer to "Managing Software
with yum", available at http://docs.fedoraproject.org/yum/.
--------------------------------------------------------------------------------


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]